/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_RTTR                                                     */
/* Tabela : ROTATRANS                                                         */
/*                                                                            */
/* Criao:                                                                   */
/* 02/08/2001 - Newton Neves dos Santos                                       */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_RTTR
BEFORE INSERT OR UPDATE OR DELETE
ON ROTATRANS FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATURTTR := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDROTATRANS,0) <> NVL(:NEW.CDROTATRANS,0)) OR
         (NVL(:OLD.NMROTATRANS,0) <> NVL(:NEW.NMROTATRANS,0)) THEN
         :NEW.DTULTATURTTR := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('ROTATRANS', '', 'CDROTATRANS='||:OLD.CDROTATRANS||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE ROTATRANS MODIFY DTULTATURTTR DEFAULT SYSDATE
/
